Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/entropy.c File Reference

Entropy gathering routine(s) for pseudo-random generator initialization. More...

`#include "system.h"`
`#include "entropy.h"`
`#include "endianness.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | BEECRYPT_DLL_EXPORT
## Functions
int | opendevice (const char *device)

## Detailed Description

Entropy gathering routine(s) for pseudo-random generator initialization.

Definition in file entropy.c.

## Define Documentation

#define BEECRYPT_DLL_EXPORT

| Definition at line 29 of file entropy.c.

## Function Documentation

int opendevice | ( | const char * | device | ) | `[static]`

  | Parameters:
  device |
Returns: Definition at line 953 of file entropy.c. References errno, and strerror.